#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define mp make_pair
#define parll pair<ll,ll>
#define parii pair<int,int>
#define nzd __gcd
#define nzs(e1,e2) (e1/nzd(e1,e2))*e2
#define min3(brp1,brp2,brp3) min(brp1,min(brp2,brp3))
#define min4(brp1,brp2,brp3,brp4) min(brp1,min3(brp2,brp3,brp4))
#define max3(brp1,brp2,brp3) max(brp1,max(brp2,brp3))
#define max4(brp1,brp2,brp3,brp4) max(brp1,max3(brp2,brp3,brp4))
#define all(V) V.begin(),V.end()
#define l_b(BRL,brl) lower_bound( BRL.begin(), BRL.end(), brl )-BRL.begin()-1 /// !za one based! vraca mani iako brl postoji, vraca 0 kada ne postoji manji
#define u_b(BRU,bru) upper_bound( BRU.begin(), BRU.end(), bru )-BRU.begin() /// !za one based! vraca veci iako bru postoji, vraca n+1 kada ne postoji veci
#define mod 1000000007
#define mxn 200002
#define mxm 12

ll n,m;
bool A[mxm][mxn];
string t,s;
vector < vector <ll> > V(mxm);

int main()
{
    ios;

    cin >> t;
    cin >> s;
    n = t.size();
    m = s.size();

    if ( s[0] == t[0] )
    {
        A[1][1] = true;
    }
    for ( ll j = 2; j <= n; j++ )
    {
        for ( ll i = 1; i <= m; i++ )
        {
            if ( (i == 1 && s[i-1] == t[j-1]) || (A[i-1][j-1] && s[i-1] == t[j-1]) )
            {
                V[i].push_back(j);
                A[i][j] = true;
                continue;
            }
            A[i][j] = A[i][j-1];
        }
    }

//    for ( ll i = 1; i <= m; i++ )
//    {
//        for ( ll j = 1; j <= n; j++ )
//        {
//            cout << A[i][j] << " ";
//        }
//        cout << "\n";
//    }

    ll minn=llinf,k;
    for ( ll i = 1; i <= m; i++ )
    {
        if ( V[i].size() <= minn )
        {
            minn = V[i].size();
            k = i;
        }
//        for ( auto x : V[i] )
//        {
//            cout << x << " ";
//        }
//        cout << "\n";
    }

    for ( auto x : V[k] )
    {
        t[x-1] = '*';
    }
    cout << V[k].size() << "\n";
    cout << t;

    return 0;
}